Push Product
POST
HTTPBearerheader
AuthorizationBearer <token>application/json- body
internal_product_id*Internal Product IdFormat
uuidstore_id*Store Idpush_blueprint_id?integer|nullshopify_status?|Explicit Shopify status for this push.
rehost_description_images?boolean|nullSuccessful Response
application/json- response
data*array<>count*Countcurl -X POST 'https://app.copyhero.app/api/v1/products/push' \ -H 'Content-Type: application/json' \ -d '{ "internal_product_id": "17d65d0a-2bba-46da-af25-e6db2fc23598", "store_id": 0}'Example Response
{ "data": [ { "internal_product_id": "17d65d0a-2bba-46da-af25-e6db2fc23598", "internal_product_minted": false, "store_id": 0, "owner_id": 0, "title": "string", "description": "string", "blueprint_id": 0, "batch_id": 0, "id": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "jobs": [ { "store_id": 0, "job_type": "string", "internal_product_id": "17d65d0a-2bba-46da-af25-e6db2fc23598", "task_id": 0, "order": 0, "blueprint_job_id": 0, "id": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "started_at": "2019-08-24T14:15:22Z", "finished_at": "2019-08-24T14:15:22Z", "input_data": "string", "output_data": "string", "state": "string", "store": { "store_url": "string", "language": "string", "default_push_blueprint_id": 0, "generated_image_output_format": "png", "generated_image_webp_quality": 1, "id": 0, "name": "string", "owner_id": 0, "owner": { "email": "string", "is_active": true, "is_superuser": false, "full_name": "string", "sub": "string", "provider": "auth0", "last_synced_at": "2019-08-24T14:15:22Z", "quota": 1000, "onboarding_completed_at": "2019-08-24T14:15:22Z", "locale": "en", "id": 0 }, "currency": "string", "domain": "string", "country_code": "string", "image_preview_url": "string", "description": "string", "title": "string", "hbs_template": "string", "json_template": "string", "oauth_completed_at": "2019-08-24T14:15:22Z", "oauth_scopes": "string", "missing_scopes": [ "string" ], "features": { "property1": true, "property2": true } } } ], "blueprint": { "name": "string", "description": "string", "owner_id": 0, "id": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } } ], "count": 0}